## org.eclipse.datatools.enablement.mysql.catalog.loaders
Class MySqlTableIndexLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableIndexLoader
              org.eclipse.datatools.enablement.mysql.catalog.loaders.MySqlTableIndexLoader

    public class MySqlTableIndexLoader

extends JDBCTableIndexLoader

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableIndexLoader
`COLUMN_ASC_OR_DESC, COLUMN_COLUMN_NAME, COLUMN_INDEX_NAME, COLUMN_INDEX_QUALIFIER, COLUMN_NON_UNIQUE, COLUMN_TYPE, TYPE_ORDER_ASC, TYPE_ORDER_DESC`

Constructor Summary
`MySqlTableIndexLoader()`

Method Summary
`void` `loadIndexes(java.util.List containmentList, java.util.Collection existingIndexes)` Loads the "index" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableIndexLoader
`clearIndexes, loadIndexes`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlTableIndexLoader

    public MySqlTableIndexLoader()

Method Detail

### loadIndexes

    public void loadIndexes(java.util.List containmentList,
                            java.util.Collection existingIndexes)
                     throws java.sql.SQLException

  Description copied from class: `JDBCTableIndexLoader`
  Loads the "index" objects from the database. This method uses the result set from createResultSet() to load the "index" objects from the server. Index objects are created using the factory method, createIndex(). This method should only be overridden as a last resort when the desired behavior cannot be acheived by overriding createResultSet(), closeResultSet(), createIndex(), initIndex(), createIndexMember() and initIndexMember().

  Overrides:
    `loadIndexes` in class `JDBCTableIndexLoader`
  Parameters:
    `containmentList` - the containment list held by parent
    `existingIndexes` - the catalog objects which were previously loaded
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.